import 'package:dcoupon_sdk_flutter_package/src/core/error/failures.dart';
import 'package:dartz/dartz.dart';
import 'package:dcoupon_sdk_flutter_package/src/data/datasources/store_remote_data_source.dart';
import 'package:dcoupon_sdk_flutter_package/src/domain/repositories/store_repository.dart';

class StoreRepositoryImpl implements StoreRepository {
  final StoreRemoteDataSource remoteDataSource;

  StoreRepositoryImpl({
    this.remoteDataSource,
  });

  @override
  Future<Either<Failure, dynamic>> getStores({
    int start,
    int limit,
    String promotionToken,
    List<String> retailerTokens,
    String zipcode,
    String latitude,
    String longitude,
    String radius,
    String publisherName,
  }) async {
    return await remoteDataSource.getStores(
      latitude: latitude,
      limit: limit,
      longitude: longitude,
      promotionToken: promotionToken,
      publisherName: publisherName,
      radius: radius,
      retailerTokens: retailerTokens,
      start: start,
      zipcode: zipcode,
    );
  }
}
